--[[ Cainyx Skin ]]

local _, BAB = ...


-- Cainyx
table.insert(BAB.Skins, function()
    BAB.MSQ:AddSkin("BAB_Cainyx", {
        Author = "WoWLoreConfusedMe",
        Version = "4.3.00",
        Shape = "Square",
        Masque_Version = 40200,
        Backdrop = {
            Width = 42,
            Height = 42,
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Backdrop]],
        },
        Icon = {
            Width = 36,
            Height = 36,
        },
        Flash = {
            Width = 42,
            Height = 42,
            Color = {1, 0, 0, 0.3},
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Overlay]],
        },
        Cooldown = {
            Width = 36,
            Height = 36,
        },
        Pushed = {
            Width = 42,
            Height = 42,
            Color = {0, 0, 0, 0.5},
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Overlay]],
        },
        Normal = {
            Width = 42,
            Height = 42,
            Static = true,
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Normal]],
        },
        Disabled = {
            Hide = true,
        },
        Checked = {
            Width = 42,
            Height = 42,
            BlendMode = "ADD",
            Color = {0, 0.8, 1, 0.5},
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Border]],
        },
        Border = {
            Width = 42,
            Height = 42,
            BlendMode = "ADD",
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Border]],
        },
        Gloss = {
            Width = 42,
            Height = 42,
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Gloss]],
        },
        AutoCastable = {
            Width = 64,
            Height = 64,
            OffsetX = 0.5,
            OffsetY = -0.5,
            Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
        },
        Highlight = {
            Width = 42,
            Height = 42,
            BlendMode = "ADD",
            Color = {1, 1, 1, 0.3},
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\Highlight]],
        },
        Name = {
            Width = 42,
            Height = 10,
            OffsetY = 2,
        },
        Count = {
            Width = 42,
            Height = 10,
            OffsetX = -1,
            OffsetY = 2,
        },
        HotKey = {
            Width = 42,
            Height = 10,
            OffsetX = -6,
            OffsetY = -3,
        },
        Duration = {
            Width = 42,
            Height = 10,
            OffsetY = -3,
        },
        AutoCast = {
            Width = 32,
            Height = 32,
            OffsetX = 1,
            OffsetY = -1,
        },
    }, true)

    -- Cainyx - Raven Highlights
    BAB.MSQ:AddSkin("BAB_Cainyx Raven Highlights", {
        Template = "BAB_Cainyx",
        Normal = {
            Width = 42,
            Height = 42,
            Color = {0.2, 0.2, 0.2, 1},
            Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Cainyx\Textures\NormalRAVEN]],
        },
    }, true)

end)
