local _, BAB = ...


table.insert(BAB.Skins, function()
-- Wildheart
BAB.MSQ:AddSkin("BAB_Wildheart", {
	Author = "Elloria",
	Version = "1.0",
	Shape = "Square",
	Masque_Version = 40200,
	Normal = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\Normal]],
		Static = true,
	},
	Pushed = {
		Width = 34,
		Height = 34,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\Checked]],
	},
	Checked = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\Checked]],
		BlendMode = "ADD",
	},
	Highlight = {
		Width = 36,
		Height = 36,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\highlight]],
		BlendMode = "ADD",
	},
	Border = {
		Width = 35,
		Height = 35,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\Normal]],
		BlendMode = "ADD",
	},
	Gloss = {
		Hide = true,
	},
	Disabled = {
		Hide = true,
	},
	Icon = {
		Width = 30,
		Height = 30,
		TexCoords = {0.07,0.93,0.07,0.93},
	},
	Cooldown = {
		Width = 30,
		Height = 30,
	},
	Backdrop = {
		Hide = true,
	},
	HotKey = {
		Width = 0,
		Height = 0,
		OffsetX = 7,
		OffsetY = -7,
	},
	Count = {
		Width = 0,
		Height = 0,
		OffsetX = 0,
		OffsetY = -4,
	},
	Name = {
		Width = 0,
		Height = 0,
		OffsetY = -12,
	},
	AutoCast = {
		Width = 32,
		Height = 32,
	},
	AutoCastable = {
		Width = 54,
		Height = 54,
		Texture = [[Interface\Buttons\UI-AutoCastableOverlay]],
	},
	Flash = {
		Width = 32,
		Height = 32,
		Texture = [[Interface\AddOns\BAB\MasqueSkins\Masque_Wildheart\Textures\Flash]],
	},
	-- Skin data end.

},true)
end)